Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 4648)
@@ -1133,34 +1099,29 @@
 #endif
        ENDDO
-       
-       
+
+
        IF ( TRIM( initializing_actions ) == 'cyclic_fill' )  THEN
 
 !
-!--       In case of cyclic fill, call init_surfaces a second time, so that 
-!--       surface properties such as heat fluxes are initialized as prescribed. 
+!--       In case of cyclic fill, call init_surfaces a second time, so that surface properties such
+!--       as heat fluxes are initialized as prescribed.
           CALL init_surfaces
 
 !
-!--       Overwrite u_init, v_init, pt_init, q_init and s_init with the
-!--       horizontally mean (hom) vertical profiles from the end
-!--       of the prerun, because these profiles shall be used as the reference
-!--       state for the rayleigh damping and the pt_damping. This is especially
-!--       important for the use of large_scale_subsidence, because the
-!--       reference temperature in the free atmosphere changes in time.
+!--       Overwrite u_init, v_init, pt_init, q_init and s_init with the horizontally mean (hom)
+!--       vertical profiles from the end of the prerun, because these profiles shall be used as the
+!--       reference state for the rayleigh damping and the pt_damping. This is especially important
+!--       for the use of large_scale_subsidence, because the reference temperature in the free
+!--       atmosphere changes in time.
           u_init(:) = hom_sum(:,1,0)
           v_init(:) = hom_sum(:,2,0)
           pt_init(:) = hom_sum(:,4,0)
-          IF ( humidity )                                                      &
-             q_init(:) = hom_sum(:,41,0)
-          IF ( passive_scalar )                                                &
-             s_init(:) = hom_sum(:,115,0)
-       ENDIF
-!
-!--    In case of complex terrain and cyclic fill method as initialization,
-!--    shift initial data in the vertical direction for each point in the 
-!--    x-y-plane depending on local surface height
-       IF ( complex_terrain  .AND.                                             &
-            TRIM( initializing_actions ) == 'cyclic_fill' )  THEN
+          IF ( humidity )  q_init(:) = hom_sum(:,41,0)
+          IF ( passive_scalar )  s_init(:) = hom_sum(:,115,0)
+       ENDIF
+!
+!--    In case of complex terrain and cyclic fill method as initialization, shift initial data in
+!--    the vertical direction for each point in the x-y-plane depending on local surface height.
+       IF ( complex_terrain  .AND.  TRIM( initializing_actions ) == 'cyclic_fill' )  THEN
           DO  i = nxlg, nxrg
              DO  j = nysg, nyng
@@ -1170,5 +1131,5 @@
                 nz_s_shift = topo_top_ind(j,i,0)
 
-                u(nz_u_shift:nzt+1,j,i)  = u(0:nzt+1-nz_u_shift,j,i)                
+                u(nz_u_shift:nzt+1,j,i)  = u(0:nzt+1-nz_u_shift,j,i)
 
                 v(nz_v_shift:nzt+1,j,i)  = v(0:nzt+1-nz_v_shift,j,i)
@@ -1183,11 +1144,9 @@
 !
 !--    Initialization of the turbulence recycling method
-       IF ( TRIM( initializing_actions ) == 'cyclic_fill'  .AND.               &
-            turbulent_inflow )  THEN
+       IF ( TRIM( initializing_actions ) == 'cyclic_fill'  .AND.  turbulent_inflow )  THEN
 !
 !--       First store the profiles to be used at the inflow.
-!--       These profiles are the (temporally) and horizontally averaged vertical
-!--       profiles from the prerun. Alternatively, prescribed profiles
-!--       for u,v-components can be used. 
+!--       These profiles are the (temporally) and horizontally averaged vertical profiles from the
+!--       prerun. Alternatively, prescribed profiles for u,v-components can be used.
           ALLOCATE( mean_inflow_profiles(nzb:nzt+1,1:num_mean_inflow_profiles) )
 
@@ -1200,14 +1159,12 @@
           ENDIF
           mean_inflow_profiles(:,4) = hom_sum(:,4,0)       ! pt
-          IF ( humidity )                                                      &
-             mean_inflow_profiles(:,6) = hom_sum(:,41,0)   ! q
-          IF ( passive_scalar )                                                &
-             mean_inflow_profiles(:,7) = hom_sum(:,115,0)   ! s
-
-!
-!--       In case of complex terrain, determine vertical displacement at inflow 
-!--       boundary and adjust mean inflow profiles
+          IF ( humidity )  mean_inflow_profiles(:,6) = hom_sum(:,41,0)          ! q
+          IF ( passive_scalar )  mean_inflow_profiles(:,7) = hom_sum(:,115,0)   ! s
+
+!
+!--       In case of complex terrain, determine vertical displacement at inflow boundary and adjust
+!--       mean inflow profiles
           IF ( complex_terrain )  THEN
-             IF ( nxlg <= 0 .AND. nxrg >= 0 .AND. nysg <= 0 .AND. nyng >= 0 )  THEN
+             IF ( nxlg <= 0  .AND.  nxrg >= 0  .AND.  nysg <= 0  .AND.  nyng >= 0 )  THEN
                 nz_u_shift_l = topo_top_ind(j,i,1)
                 nz_v_shift_l = topo_top_ind(j,i,2)
@@ -1222,12 +1179,8 @@
 
 #if defined( __parallel )
-             CALL MPI_ALLREDUCE(nz_u_shift_l, nz_u_shift, 1, MPI_INTEGER,      &
-                                MPI_MAX, comm2d, ierr)
-             CALL MPI_ALLREDUCE(nz_v_shift_l, nz_v_shift, 1, MPI_INTEGER,      &
-                                MPI_MAX, comm2d, ierr)
-             CALL MPI_ALLREDUCE(nz_w_shift_l, nz_w_shift, 1, MPI_INTEGER,      & 
-                                MPI_MAX, comm2d, ierr)
-             CALL MPI_ALLREDUCE(nz_s_shift_l, nz_s_shift, 1, MPI_INTEGER,      &
-                                MPI_MAX, comm2d, ierr)
+             CALL MPI_ALLREDUCE( nz_u_shift_l, nz_u_shift, 1, MPI_INTEGER, MPI_MAX, comm2d, ierr )
+             CALL MPI_ALLREDUCE( nz_v_shift_l, nz_v_shift, 1, MPI_INTEGER, MPI_MAX, comm2d, ierr )
+             CALL MPI_ALLREDUCE( nz_w_shift_l, nz_w_shift, 1, MPI_INTEGER, MPI_MAX, comm2d, ierr )
+             CALL MPI_ALLREDUCE( nz_s_shift_l, nz_s_shift, 1, MPI_INTEGER, MPI_MAX, comm2d, ierr )
 #else
              nz_u_shift = nz_u_shift_l
@@ -1248,6 +1201,5 @@
 
 !
-!--       If necessary, adjust the horizontal flow field to the prescribed
-!--       profiles
+!--       If necessary, adjust the horizontal flow field to the prescribed profiles
           IF ( use_prescribed_profile_data )  THEN
              DO  i = nxlg, nxrg
@@ -1262,6 +1214,5 @@
 
 !
-!--       Use these mean profiles at the inflow (provided that Dirichlet
-!--       conditions are used)
+!--       Use these mean profiles at the inflow (provided that Dirichlet conditions are used)
           IF ( bc_dirichlet_l )  THEN
              DO  j = nysg, nyng
@@ -1271,8 +1222,6 @@
                    w(k,j,nxlg:-1)  = 0.0_wp
                    pt(k,j,nxlg:-1) = mean_inflow_profiles(k,4)
-                   IF ( humidity )                                             &
-                      q(k,j,nxlg:-1)  = mean_inflow_profiles(k,6)
-                   IF ( passive_scalar )                                       &
-                      s(k,j,nxlg:-1)  = mean_inflow_profiles(k,7)                      
+                   IF ( humidity )  q(k,j,nxlg:-1)  = mean_inflow_profiles(k,6)
+                   IF ( passive_scalar )  s(k,j,nxlg:-1)  = mean_inflow_profiles(k,7)
                 ENDDO
              ENDDO
@@ -1280,19 +1229,17 @@
 
 !
-!--       Calculate the damping factors to be used at the inflow. For a
-!--       turbulent inflow the turbulent fluctuations have to be limited
-!--       vertically because otherwise the turbulent inflow layer will grow
-!--       in time.
+!--       Calculate the damping factors to be used at the inflow. For a turbulent inflow the
+!--       turbulent fluctuations have to be limited vertically because otherwise the turbulent
+!--       inflow layer will grow in time.
           IF ( inflow_damping_height == 9999999.9_wp )  THEN
 !
-!--          Default: use the inversion height calculated by the prerun; if
-!--          this is zero, inflow_damping_height must be explicitly
-!--          specified.
+!--          Default: use the inversion height calculated by the prerun; if this is zero,
+!--          inflow_damping_height must be explicitly specified.
              IF ( hom_sum(nzb+6,pr_palm,0) /= 0.0_wp )  THEN
                 inflow_damping_height = hom_sum(nzb+6,pr_palm,0)
              ELSE
-                WRITE( message_string, * ) 'inflow_damping_height must be ',   &
-                     'explicitly specified because&the inversion height ',     &
-                     'calculated by the prerun is zero.'
+                WRITE( message_string, * ) 'inflow_damping_height must be ',                       &
+                                           'explicitly specified because&the inversion height ',   &
+                                           'calculated by the prerun is zero.'
                 CALL message( 'init_3d_model', 'PA0318', 1, 2, 0, 6, 0 )
              ENDIF
@@ -1302,6 +1249,5 @@
           IF ( inflow_damping_width == 9999999.9_wp )  THEN
 !
-!--          Default for the transition range: one tenth of the undamped
-!--          layer
+!--          Default for the transition range: one tenth of the undamped layer
              inflow_damping_width = 0.1_wp * inflow_damping_height
 
@@ -1315,7 +1261,6 @@
                 inflow_damping_factor(k) = 1.0_wp
              ELSEIF ( zu(k) <= ( inflow_damping_height + inflow_damping_width ) )  THEN
-                inflow_damping_factor(k) = 1.0_wp -                            &
-                                           ( zu(k) - inflow_damping_height ) / &
-                                           inflow_damping_width
+                inflow_damping_factor(k) = 1.0_wp -                                                &
+                                           ( zu(k) - inflow_damping_height ) / inflow_damping_width
              ELSE
                 inflow_damping_factor(k) = 0.0_wp
@@ -1328,6 +1273,5 @@
 !
 !--    Inside buildings set velocities back to zero
-       IF ( TRIM( initializing_actions ) == 'cyclic_fill' .AND.                &
-            topography /= 'flat' )  THEN
+       IF ( TRIM( initializing_actions ) == 'cyclic_fill'  .AND.  topography /= 'flat' )  THEN
 !
 !--       Inside buildings set velocities back to zero.
@@ -1337,10 +1281,7 @@
              DO  j = nysg, nyng
                 DO  k = nzb, nzt
-                   u(k,j,i)     = MERGE( u(k,j,i), 0.0_wp,                     &
-                                      BTEST( wall_flags_total_0(k,j,i), 1 ) )
-                   v(k,j,i)     = MERGE( v(k,j,i), 0.0_wp,                     &
-                                      BTEST( wall_flags_total_0(k,j,i), 2 ) )
-                   w(k,j,i)     = MERGE( w(k,j,i), 0.0_wp,                     &
-                                      BTEST( wall_flags_total_0(k,j,i), 3 ) )
+                   u(k,j,i) = MERGE( u(k,j,i), 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 1 ) )
+                   v(k,j,i) = MERGE( v(k,j,i), 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 2 ) )
+                   w(k,j,i) = MERGE( w(k,j,i), 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 3 ) )
                 ENDDO
              ENDDO
@@ -1350,11 +1291,9 @@
 
 !
-!--    Calculate initial temperature field and other constants used in case
-!--    of a sloping surface
+!--    Calculate initial temperature field and other constants used in case of a sloping surface
        IF ( sloping_surface )  CALL init_slope
 
 !
-!--    Initialize new time levels (only done in order to set boundary values
-!--    including ghost points)
+!--    Initialize new time levels (only done in order to set boundary values including ghost points)
        pt_p = pt; u_p = u; v_p = v; w_p = w
        IF ( humidity )  THEN
@@ -1363,7 +1302,6 @@
        IF ( passive_scalar )  s_p  = s
 !
-!--    Allthough tendency arrays are set in prognostic_equations, they have
-!--    have to be predefined here because they are used (but multiplied with 0)
-!--    there before they are set. 
+!--    Allthough tendency arrays are set in prognostic_equations, they have have to be predefined
+!--    here because they are used (but multiplied with 0) there before they are set.
        tpt_m = 0.0_wp; tu_m = 0.0_wp; tv_m = 0.0_wp; tw_m = 0.0_wp
        IF ( humidity )  THEN
@@ -1372,5 +1310,7 @@
        IF ( passive_scalar )  ts_m  = 0.0_wp
 
-       IF ( debug_output )  CALL debug_message( 'initializing in case of restart / cyclic_fill', 'end' )
+       IF ( debug_output )  THEN
+          CALL debug_message( 'initializing in case of restart / cyclic_fill', 'end' )
+       ENDIF
 
     ELSE
@@ -1405,5 +1345,5 @@
           w_m_n(:,:,:) = w(:,ny-1:ny,:)
        ENDIF
-       
+
     ENDIF
 
@@ -1420,30 +1360,30 @@
              DO  j = nys, nyn
                 DO  k = nzb+1, nzt
-                   volume_flow_initial_l(1) = volume_flow_initial_l(1) +         &
-                                              u_init(k) * dzw(k)                 &
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,j,nxr), 1 )&
-                                            )
-
-                   volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)     &
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,j,nxr), 1 )&
-                                            )
+                   volume_flow_initial_l(1) = volume_flow_initial_l(1) +                           &
+                                              u_init(k) * dzw(k)                                   &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,j,nxr), 1 )     &
+                                                     )
+
+                   volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)                       &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,j,nxr), 1 )     &
+                                                     )
                 ENDDO
              ENDDO
           ENDIF
-          
+
           IF ( nyn == ny )  THEN
              DO  i = nxl, nxr
                 DO  k = nzb+1, nzt
-                   volume_flow_initial_l(2) = volume_flow_initial_l(2) +         &
-                                              v_init(k) * dzw(k)                 &        
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,nyn,i), 2 )&
-                                            )
-                   volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)     &        
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,nyn,i), 2 )&
-                                            )
+                   volume_flow_initial_l(2) = volume_flow_initial_l(2) +                           &
+                                              v_init(k) * dzw(k)                                   &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,nyn,i), 2 )     &
+                                                     )
+                   volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)                       &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,nyn,i), 2 )     &
+                                                     )
                 ENDDO
              ENDDO
@@ -1451,13 +1391,13 @@
 
 #if defined( __parallel )
-          CALL MPI_ALLREDUCE( volume_flow_initial_l(1), volume_flow_initial(1),&
-                              2, MPI_REAL, MPI_SUM, comm2d, ierr )
-          CALL MPI_ALLREDUCE( volume_flow_area_l(1), volume_flow_area(1),      &
-                              2, MPI_REAL, MPI_SUM, comm2d, ierr )
+          CALL MPI_ALLREDUCE( volume_flow_initial_l(1), volume_flow_initial(1), 2, MPI_REAL,       &
+                              MPI_SUM, comm2d, ierr )
+          CALL MPI_ALLREDUCE( volume_flow_area_l(1), volume_flow_area(1), 2, MPI_REAL, MPI_SUM,    &
+                              comm2d, ierr )
 
 #else
           volume_flow_initial = volume_flow_initial_l
           volume_flow_area    = volume_flow_area_l
-#endif  
+#endif
 
        ELSEIF ( TRIM( initializing_actions ) == 'cyclic_fill' )  THEN
@@ -1469,29 +1409,29 @@
              DO  j = nys, nyn
                 DO  k = nzb+1, nzt
-                   volume_flow_initial_l(1) = volume_flow_initial_l(1) +         &
-                                              hom_sum(k,1,0) * dzw(k)            &
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,j,nx), 1 ) &
-                                            )
-                   volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)     &
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,j,nx), 1 ) &
-                                            )
+                   volume_flow_initial_l(1) = volume_flow_initial_l(1) +                           &
+                                              hom_sum(k,1,0) * dzw(k)                              &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,j,nx), 1 )      &
+                                                     )
+                   volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)                       &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,j,nx), 1 )      &
+                                                     )
                 ENDDO
              ENDDO
           ENDIF
-          
+
           IF ( nyn == ny )  THEN
              DO  i = nxl, nxr
                 DO  k = nzb+1, nzt
-                   volume_flow_initial_l(2) = volume_flow_initial_l(2) +         &
-                                              hom_sum(k,2,0) * dzw(k)            &        
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,ny,i), 2 ) &
-                                            )
-                   volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)     &        
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,ny,i), 2 ) &
-                                            )
+                   volume_flow_initial_l(2) = volume_flow_initial_l(2) +                           &
+                                              hom_sum(k,2,0) * dzw(k)                              &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,ny,i), 2 )      &
+                                                     )
+                   volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)                       &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,ny,i), 2 )      &
+                                                     )
                 ENDDO
              ENDDO
@@ -1499,13 +1439,13 @@
 
 #if defined( __parallel )
-          CALL MPI_ALLREDUCE( volume_flow_initial_l(1), volume_flow_initial(1),&
-                              2, MPI_REAL, MPI_SUM, comm2d, ierr )
-          CALL MPI_ALLREDUCE( volume_flow_area_l(1), volume_flow_area(1),      &
-                              2, MPI_REAL, MPI_SUM, comm2d, ierr )
+          CALL MPI_ALLREDUCE( volume_flow_initial_l(1), volume_flow_initial(1), 2, MPI_REAL,       &
+                              MPI_SUM, comm2d, ierr )
+          CALL MPI_ALLREDUCE( volume_flow_area_l(1), volume_flow_area(1), 2, MPI_REAL, MPI_SUM,    &
+                              comm2d, ierr )
 
 #else
           volume_flow_initial = volume_flow_initial_l
           volume_flow_area    = volume_flow_area_l
-#endif  
+#endif
 
        ELSEIF ( TRIM( initializing_actions ) /= 'read_restart_data' )  THEN
@@ -1517,29 +1457,29 @@
              DO  j = nys, nyn
                 DO  k = nzb+1, nzt
-                   volume_flow_initial_l(1) = volume_flow_initial_l(1) +         &
-                                              u(k,j,nx) * dzw(k)                 &
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,j,nx), 1 ) &
-                                            )
-                   volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)     &
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,j,nx), 1 ) &
-                                            )
+                   volume_flow_initial_l(1) = volume_flow_initial_l(1) +                           &
+                                              u(k,j,nx) * dzw(k)                                   &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,j,nx), 1 )      &
+                                                     )
+                   volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)                       &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                   BTEST( wall_flags_total_0(k,j,nx), 1 )          &
+                                                     )
                 ENDDO
              ENDDO
           ENDIF
-          
+
           IF ( nyn == ny )  THEN
              DO  i = nxl, nxr
                 DO  k = nzb+1, nzt
-                   volume_flow_initial_l(2) = volume_flow_initial_l(2) +         &
-                                              v(k,ny,i) * dzw(k)                 &        
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,ny,i), 2 ) &
-                                            )
-                   volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)     &        
-                                     * MERGE( 1.0_wp, 0.0_wp,                    &
-                                          BTEST( wall_flags_total_0(k,ny,i), 2 ) &
-                                            )
+                   volume_flow_initial_l(2) = volume_flow_initial_l(2) +                           &
+                                              v(k,ny,i) * dzw(k)                                   &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,ny,i), 2 )      &
+                                                     )
+                   volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)                       &
+                                              * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                       BTEST( wall_flags_total_0(k,ny,i), 2 )      &
+                                                     )
                 ENDDO
              ENDDO
@@ -1547,19 +1487,18 @@
 
 #if defined( __parallel )
-          CALL MPI_ALLREDUCE( volume_flow_initial_l(1), volume_flow_initial(1),&
-                              2, MPI_REAL, MPI_SUM, comm2d, ierr )
-          CALL MPI_ALLREDUCE( volume_flow_area_l(1), volume_flow_area(1),      &
-                              2, MPI_REAL, MPI_SUM, comm2d, ierr )
+          CALL MPI_ALLREDUCE( volume_flow_initial_l(1), volume_flow_initial(1), 2, MPI_REAL,       &
+                              MPI_SUM, comm2d, ierr )
+          CALL MPI_ALLREDUCE( volume_flow_area_l(1), volume_flow_area(1), 2, MPI_REAL, MPI_SUM,    &
+                              comm2d, ierr )
 
 #else
           volume_flow_initial = volume_flow_initial_l
           volume_flow_area    = volume_flow_area_l
-#endif  
-
-       ENDIF
-
-!
-!--    In case of 'bulk_velocity' mode, volume_flow_initial is calculated
-!--    from u|v_bulk instead
+#endif
+
+       ENDIF
+
+!
+!--    In case of 'bulk_velocity' mode, volume_flow_initial is calculated from u|v_bulk instead
        IF ( TRIM( conserve_volume_flow_mode ) == 'bulk_velocity' )  THEN
           volume_flow_initial(1) = u_bulk * volume_flow_area(1)
@@ -1569,10 +1508,9 @@
     ENDIF
 !
-!-- In the following, surface properties can be further initialized with
-!-- input from static driver file.
-!-- At the moment this affects only default surfaces. For example, 
-!-- roughness length or sensible / latent heat fluxes can be initialized
-!-- heterogeneously for default surfaces. Therefore, a generic routine
-!-- from netcdf_data_input_mod is called to read a 2D array.
+!-- In the following, surface properties can be further initialized with input from static driver
+!-- file.
+!-- At the moment this affects only default surfaces. For example, roughness length or sensible /
+!-- latent heat fluxes can be initialized heterogeneously for default surfaces. Therefore, a generic
+!-- routine from netcdf_data_input_mod is called to read a 2D array.
     IF ( input_pids_static )  THEN
 !
@@ -1583,8 +1521,7 @@
 !--    Open the static input file
 #if defined( __netcdf )
-       CALL open_read_file( TRIM( input_file_static ) //                    &
-                            TRIM( coupling_char ),                          &
-                            pids_id )
-                            
+       CALL open_read_file( TRIM( input_file_static ) //                                           &
+                            TRIM( coupling_char ), pids_id )
+
        CALL inquire_num_variables( pids_id, num_var_pids )
 !
